# rpmio/rpmmessages.h File Reference

`#include "rpmlog.h"`

Go to the source code of this file.

## Defines

#define | RPMMESS_DEBUG RPMLOG_DEBUG
#define | RPMMESS_VERBOSE RPMLOG_INFO
#define | RPMMESS_NORMAL RPMLOG_NOTICE
#define | RPMMESS_WARNING RPMLOG_WARNING
#define | RPMMESS_ERROR RPMLOG_ERR
#define | RPMMESS_FATALERROR RPMLOG_CRIT
#define | RPMMESS_QUIET RPMMESS_WARNING
#define | rpmMessage rpmlog
#define | rpmSetVerbosity(_lvl) ((void)rpmlogSetMask( RPMLOG_UPTO( RPMLOG_PRI(_lvl))))
#define | rpmIncreaseVerbosity() ((void)rpmlogSetMask(((((unsigned)(rpmlogSetMask(0) & 0xff)) << 1) | 1)))
#define | rpmDecreaseVerbosity() ((void)rpmlogSetMask((((int)(rpmlogSetMask(0) & 0xff)) >> 1)))
#define | rpmIsNormal() (rpmlogSetMask(0) >= RPMLOG_MASK( RPMMESS_NORMAL ))
#define | rpmIsVerbose() (rpmlogSetMask(0) >= RPMLOG_MASK( RPMMESS_VERBOSE ))
#define | rpmIsDebug() (rpmlogSetMask(0) >= RPMLOG_MASK( RPMMESS_DEBUG ))

## Typedefs

typedef const void * | fnpyKey
typedef enum rpmCallbackType_e | rpmCallbackType
typedef void * | rpmCallbackData
typedef void *(* | rpmCallbackFunction )(const void *h, const rpmCallbackType what, const unsigned long amount, const unsigned long total, fnpyKey key, rpmCallbackData data)

## Enumerations

enum | rpmCallbackType_e { RPMCALLBACK_INST_PROGRESS, RPMCALLBACK_INST_START, RPMCALLBACK_INST_OPEN_FILE, RPMCALLBACK_INST_CLOSE_FILE, RPMCALLBACK_TRANS_PROGRESS, RPMCALLBACK_TRANS_START, RPMCALLBACK_TRANS_STOP, RPMCALLBACK_UNINST_PROGRESS, RPMCALLBACK_UNINST_START, RPMCALLBACK_UNINST_STOP }

## Functions

void | urlSetCallback (rpmCallbackFunction notify, rpmCallbackData notifyData, int notifyCount)

## Detailed Description

Todo:
  Eliminate from API.

Definition in file rpmmessages.h.

## Define Documentation

#define rpmDecreaseVerbosity | (

)

((void)rpmlogSetMask((((int)(rpmlogSetMask(0) & 0xff)) >> 1)))

| Definition at line 25 of file rpmmessages.h.

#define rpmIncreaseVerbosity | (

)

((void)rpmlogSetMask(((((unsigned)(rpmlogSetMask(0) & 0xff)) << 1) | 1)))

| Definition at line 23 of file rpmmessages.h. Referenced by main(), and queryArgCallback().

#define rpmIsDebug | (

)

(rpmlogSetMask(0) >= RPMLOG_MASK( RPMMESS_DEBUG ))

| Definition at line 31 of file rpmmessages.h. Referenced by rpmRollback().

#define rpmIsNormal | (

)

(rpmlogSetMask(0) >= RPMLOG_MASK( RPMMESS_NORMAL ))

| Definition at line 27 of file rpmmessages.h.

#define rpmIsVerbose | (

)

(rpmlogSetMask(0) >= RPMLOG_MASK( RPMMESS_VERBOSE ))

| Definition at line 29 of file rpmmessages.h. Referenced by checkPassPhrase(), doFoo(), doUntar(), main(), rpmCheckSig(), rpmInstall(), rpmInstallSource(), rpmShowRC(), showQueryPackage(), and verifyHeader().

#define RPMMESS_DEBUG RPMLOG_DEBUG

Definition at line 11 of file rpmmessages.h.

Referenced by alAllFileSatisfiesDepend(), alAllSatisfiesDepend(), checkPackageDeps(), checkSize(), db1close(), db1open(), db3close(), db3open(), db_fini(), db_init(), fadSanity(), fsmMkdirs(), fsmStage(), ignoreDep(), makeGPGSignature(), makePGPSignature(), psmStage(), rpmdbAdd(), rpmdbNextIterator(), rpmdbRebuild(), rpmdbRemove(), rpmdepOrder(), rpmInstall(), rpmRangesOverlap(), rpmReadSignature(), rpmRollback(), rpmWriteSignature(), unsatisfiedDepend(), urlConnect(), urlGetFile(), and zapRelation().

#define RPMMESS_ERROR RPMLOG_ERR

| Definition at line 15 of file rpmmessages.h. Referenced by checkSpec(), rpmdbRebuild(), rpmErase(), rpmInstall(), rpmInstallSource(), rpmRollback(), and urlSplit().

#define RPMMESS_FATALERROR RPMLOG_CRIT

| Definition at line 16 of file rpmmessages.h. Referenced by ugFindUpgradePackages().

#define RPMMESS_NORMAL RPMLOG_NOTICE

| Definition at line 13 of file rpmmessages.h. Referenced by doScript(), main(), printDepMsg(), processBinaryFiles(), rpmdbRebuild(), showVerifyPackage(), ugFindUpgradePackages(), and writeRPM().

#define RPMMESS_QUIET RPMMESS_WARNING

| Definition at line 18 of file rpmmessages.h. Referenced by main().

#define RPMMESS_VERBOSE RPMLOG_INFO

| Definition at line 12 of file rpmmessages.h. Referenced by rpmAddSignature().

#define RPMMESS_WARNING RPMLOG_WARNING

| Definition at line 14 of file rpmmessages.h. Referenced by buildHost(), doGetRecord(), genCpioListAndHeader(), getMachineInfo(), psmStage(), and timeCheck().

#define rpmMessage rpmlog

Definition at line 20 of file rpmmessages.h.

Referenced by alAllFileSatisfiesDepend(), alAllSatisfiesDepend(), buildHost(), checkPackageDeps(), checkSize(), checkSpec(), db1close(), db1open(), db3close(), db3open(), db_fini(), db_init(), decideFileFate(), doGetRecord(), doScript(), fadSanity(), fsmMkdirs(), fsmStage(), genCpioListAndHeader(), getMachineInfo(), ignoreDep(), makeGPGSignature(), makePGPSignature(), printDepMsg(), processBinaryFiles(), psmStage(), rpmAddSignature(), rpmdbAdd(), rpmdbNextIterator(), rpmdbRebuild(), rpmdbRemove(), rpmdepCheck(), rpmdepOrder(), rpmErase(), rpmInstall(), rpmInstallSource(), rpmRangesOverlap(), rpmReadSignature(), rpmRollback(), rpmWriteSignature(), showVerifyPackage(), timeCheck(), unsatisfiedDepend(), urlConnect(), urlGetFile(), urlSplit(), writeRPM(), and zapRelation().

#define rpmSetVerbosity | ( | _lvl |  | ) | ((void)rpmlogSetMask( RPMLOG_UPTO( RPMLOG_PRI(_lvl))))

| Definition at line 21 of file rpmmessages.h. Referenced by main(), setVerbosity(), and ugFindUpgradePackages().

## Typedef Documentation

typedef const void* fnpyKey

| Definition at line 35 of file rpmmessages.h.

typedef void* rpmCallbackData

| Definition at line 55 of file rpmmessages.h.

typedef void*(* rpmCallbackFunction)(const void *h, const rpmCallbackType what, const unsigned long amount, const unsigned long total,fnpyKey key,rpmCallbackData data)

| Definition at line 64 of file rpmmessages.h.

typedef enum rpmCallbackType_e rpmCallbackType

## Enumeration Type Documentation

enum rpmCallbackType_e

Enumerator:

  RPMCALLBACK_INST_PROGRESS |
  RPMCALLBACK_INST_START |
  RPMCALLBACK_INST_OPEN_FILE |
  RPMCALLBACK_INST_CLOSE_FILE |
  RPMCALLBACK_TRANS_PROGRESS |
  RPMCALLBACK_TRANS_START |
  RPMCALLBACK_TRANS_STOP |
  RPMCALLBACK_UNINST_PROGRESS |
  RPMCALLBACK_UNINST_START |
  RPMCALLBACK_UNINST_STOP |

Definition at line 40 of file rpmmessages.h.

## Function Documentation

void urlSetCallback | ( | rpmCallbackFunction | notify,
|  | rpmCallbackData | notifyData,
|  | int | notifyCount
| ) |

| Definition at line 1292 of file rpmio.c.